curl --request GET \
--url https://api.myscalev.com/v3/locations \
--header 'Authorization: Bearer <token>'{
"data": [
{
"city_name": "<string>",
"display": "<string>",
"id": 123,
"jne_destination_id": 123,
"jne_origin_id": 123,
"ka_district_id": 123,
"lincah_code": "<string>",
"lion_code": "<string>",
"mengantar_code": "<string>",
"ninja_l1": "<string>",
"ninja_l2": "<string>",
"province_name": "<string>",
"ro_city_id": 123,
"ro_province_id": 123,
"ro_subdistrict_id": 123,
"subdistrict_name": "<string>"
}
],
"is_paginated": true,
"has_next": false,
"page_size": 25,
"page": 1
}Requires the order:create machine scope. Retrieve a list of locations with search and pagination.
curl --request GET \
--url https://api.myscalev.com/v3/locations \
--header 'Authorization: Bearer <token>'{
"data": [
{
"city_name": "<string>",
"display": "<string>",
"id": 123,
"jne_destination_id": 123,
"jne_origin_id": 123,
"ka_district_id": 123,
"lincah_code": "<string>",
"lion_code": "<string>",
"mengantar_code": "<string>",
"ninja_l1": "<string>",
"ninja_l2": "<string>",
"province_name": "<string>",
"ro_city_id": 123,
"ro_province_id": 123,
"ro_subdistrict_id": 123,
"subdistrict_name": "<string>"
}
],
"is_paginated": true,
"has_next": false,
"page_size": 25,
"page": 1
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Page number for pagination
x >= 1Number of items per page
1 <= x <= 100Search term for location names